### org.jfree.layouting.output.pageable

# Class AbstractPageableProcessor

- `java.lang.Object`
- - `org.jfree.layouting.output.AbstractOutputProcessor`
  - - `org.jfree.layouting.output.pageable.AbstractPageableProcessor`

Implemented Interfaces:
  OutputProcessor, PageableOutputProcessor

Known Direct Subclasses:
  GraphicsOutputProcessor, PageableHtmlOutputProcessor, PdfOutputProcessor

`public abstract class AbstractPageableProcessor`
`extends AbstractOutputProcessor`
`implements PageableOutputProcessor`

Creation-Date: 10.11.2006, 20:05:11

Author:
  Thomas Morgner

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.output.AbstractOutputProcessor

  `PROCESSING_CONTENT`, `PROCESSING_GLOBAL_CONTENT`, `PROCESSING_PAGES`

  ## Constructor Summary

  `AbstractPageableProcessor(Configuration configuration)`

  ## Method Summary

  `protected LogicalPageKey`

  `createLogicalPage(int width, int height)`

  `Renderer`

  `createRenderer(LayoutProcess layoutProcess)`

  `protected abstract PageFlowSelector`

  `getFlowSelector()`

  `PhysicalPageKey`

  `getPhysicalPage(int page)`

  `int`

  `getPhysicalPageCount()`

  `PrototypeBuildingRenderer`

  `getPrototypeBuilder()`

  `protected abstract void`

  `processLogicalPage(LogicalPageKey key, LogicalPageBox logicalPage)`

  `protected void`

  `processPageContent(LogicalPageKey logicalPageKey, LogicalPageBox logicalPage)`

  `protected abstract void`

  `processPhysicalPage(PageGrid pageGrid, LogicalPageBox logicalPage, int row, int col, PhysicalPageKey pageKey)`

  `protected void`

  `processingPagesFinished()`

  ### Methods inherited from class org.jfree.layouting.output.AbstractOutputProcessor

  `createInputFeed`, `createLogicalPage`, `createModelBuilder`, `createNormalizer`, `getConfiguration`, `getDocumentContext`, `getLogicalPage`, `getLogicalPageCount`, `getPageCursor`, `getProcessingState`, `isContentGeneratable`, `isGlobalStateComputed`, `isPaginationFinished`, `processContent`, `processDocumentMetaData`, `processPageContent`, `processingContentFinished`, `processingFinished`, `processingGlobalContentFinished`, `processingPagesFinished`, `setPageCursor`

## Constructor Details

### AbstractPageableProcessor

    protected AbstractPageableProcessor(Configuration configuration)

## Method Details

### createLogicalPage

    protected LogicalPageKey createLogicalPage(int width,
                                               int height)

> Overrides:
>   createLogicalPage in interface AbstractOutputProcessor

### createRenderer

    public Renderer createRenderer(LayoutProcess layoutProcess)

> Specified by:
>   createRenderer in interface OutputProcessor

### getFlowSelector

    protected abstract PageFlowSelector getFlowSelector()

### getPhysicalPage

    public PhysicalPageKey getPhysicalPage(int page)

> Specified by:
>   getPhysicalPage in interface PageableOutputProcessor

### getPhysicalPageCount

    public int getPhysicalPageCount()

> Specified by:
>   getPhysicalPageCount in interface PageableOutputProcessor

### getPrototypeBuilder

    public PrototypeBuildingRenderer getPrototypeBuilder()

### processLogicalPage

    protected abstract void processLogicalPage(LogicalPageKey key,
                                               LogicalPageBox logicalPage)

### processPageContent

    protected void processPageContent(LogicalPageKey logicalPageKey,
                                      LogicalPageBox logicalPage)

> Overrides:
>   processPageContent in interface AbstractOutputProcessor

### processPhysicalPage

    protected abstract void processPhysicalPage(PageGrid pageGrid,
                                                LogicalPageBox logicalPage,
                                                int row,
                                                int col,
                                                PhysicalPageKey pageKey)

### processingPagesFinished

    protected void processingPagesFinished()

> Overrides:
>   processingPagesFinished in interface AbstractOutputProcessor